from dataclasses import dataclass
import numpy as np

@dataclass
class format_wrl:
    coord: list
    normal: list
    index: list

@dataclass
class format_stl:
    face: list

def wrl2stl(wrl: format_wrl):
    faces = []
    for (index) in wrl.index:
        faces.append(np.transpose(np.vstack((wrl.coord[int(index[0])],wrl.coord[int(index[1])],wrl.coord[int(index[2])]))))

    return format_stl(faces)
