from rocolib.api.components import MechanicalComponent
from rocolib.api.composables.GraphComposable import DecorationComposable
from rocolib.api.ports import DecorationPort as DecoPort


class DecorationComponent(MechanicalComponent):
  def predefine(self, **kwargs):
    MechanicalComponent.predefine(self, **kwargs)

    self.graph = DecorationComposable()
    self.addFace = self.graph.addFace
    self.addInterface("decoration", DecoPort(self, self.graph))

  def getGraph(self):
    return self.graph
